> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.itential.com/itential-cloud/api-reference/automation-studio/get-project-thumbnail/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.itential.com/_mcp/server. # Get a project's thumbnail GET https://example.itential.io/automation-studio/projects/{projectId}/thumbnail Returns a Project's thumbnail. Returns data as a base64 encoded string of binary data. Reference: https://docs.itential.com/itential-cloud/api-reference/automation-studio/get-project-thumbnail ## Authentication - `Authorization` header (basic auth, required) — Basic authentication of the form `Basic `. ## Request ### Path parameters - `projectId` (string, required) — Project identifier ## Response ### 200 API response body - `message` (string, optional) - `data` (object, optional) - `image` (string, optional) — Base64 encoded binary contents of the image file - `backgroundColor` (string, optional) — Hex value of thumbnail background color - `metadata` (object, optional) ## Errors ### 500 Internal Server Error Error response from API - `any` ## Examples **Response** ```json { "message": "Successfully retrieved project thumbnail", "data": { "image": "", "backgroundColor": "#FFFFFF", "metadata": {} } } ``` **SDK Code** ```python import requests url = "https://example.itential.io/automation-studio/projects/projectId/thumbnail" response = requests.get(url) print(response.json()) ``` ```javascript const url = 'https://example.itential.io/automation-studio/projects/projectId/thumbnail'; const options = {method: 'GET'}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://example.itential.io/automation-studio/projects/projectId/thumbnail" req, _ := http.NewRequest("GET", url, nil) res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://example.itential.io/automation-studio/projects/projectId/thumbnail") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://example.itential.io/automation-studio/projects/projectId/thumbnail") .asString(); ``` ```php request('GET', 'https://example.itential.io/automation-studio/projects/projectId/thumbnail'); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://example.itential.io/automation-studio/projects/projectId/thumbnail"); var request = new RestRequest(Method.GET); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let request = NSMutableURLRequest(url: NSURL(string: "https://example.itential.io/automation-studio/projects/projectId/thumbnail")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```